package com.ximai.mes.dv.domain.devBrandQuotation;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 dev_brand_quotation_process
 *
 * @author yinjinlu
 * @date 2024-01-25
 */
public class DvBrandQuotationProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long brandQuotationProcessId;

    /** 品牌报价单ID */
    @Excel(name = "品牌报价单ID")
    private Long brandQuotationId;

    /** 记录ID */
    @Excel(name = "记录ID")
    private Long recordId;

    private String recordName;

    /** 工作站 */
    @Excel(name = "工作站")
    private Long workstationId;

    private String workstationName;



    /** 标准工时 */
    @Excel(name = "标准工时")
    private BigDecimal stdWorkingTime;

    /** 准备时间 */
    @Excel(name = "准备时间")
    private Long defaultPreTime;

    /** 等待时间 */
    @Excel(name = "等待时间")
    private Long defaultSufTime;

    /** 关键工序 */
    @Excel(name = "关键工序")
    private String keyFlag;

    /** 是否检验 */
    @Excel(name = "是否检验")
    private String isCheck;
    public void setRecordName(String recordName) {
        this.recordName = recordName;
    }
    public void setBrandQuotationProcessId(Long brandQuotationProcessId)
    {
        this.brandQuotationProcessId = brandQuotationProcessId;
    }
    public String getWorkstationName() {
        return workstationName;
    }
    public String getRecordName() {
        return recordName;
    }

    public BigDecimal getStdWorkingTime() {
        return stdWorkingTime;
    }

    public void setStdWorkingTime(BigDecimal stdWorkingTime) {
        this.stdWorkingTime = stdWorkingTime;
    }

    public void setWorkstationName(String workstationName) {
        this.workstationName = workstationName;
    }

    public Long getBrandQuotationProcessId()
    {
        return brandQuotationProcessId;
    }
    public void setBrandQuotationId(Long brandQuotationId)
    {
        this.brandQuotationId = brandQuotationId;
    }

    public Long getBrandQuotationId()
    {
        return brandQuotationId;
    }
    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId()
    {
        return recordId;
    }
    public void setWorkstationId(Long workstationId)
    {
        this.workstationId = workstationId;
    }

    public Long getWorkstationId()
    {
        return workstationId;
    }

    public void setDefaultPreTime(Long defaultPreTime)
    {
        this.defaultPreTime = defaultPreTime;
    }

    public Long getDefaultPreTime()
    {
        return defaultPreTime;
    }
    public void setDefaultSufTime(Long defaultSufTime)
    {
        this.defaultSufTime = defaultSufTime;
    }

    public Long getDefaultSufTime()
    {
        return defaultSufTime;
    }
    public void setKeyFlag(String keyFlag)
    {
        this.keyFlag = keyFlag;
    }

    public String getKeyFlag()
    {
        return keyFlag;
    }
    public void setIsCheck(String isCheck)
    {
        this.isCheck = isCheck;
    }

    public String getIsCheck()
    {
        return isCheck;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandQuotationProcessId", getBrandQuotationProcessId())
            .append("brandQuotationId", getBrandQuotationId())
            .append("recordId", getRecordId())
            .append("workstationId", getWorkstationId())
            .append("stdWorkingTime", getStdWorkingTime())
            .append("defaultPreTime", getDefaultPreTime())
            .append("defaultSufTime", getDefaultSufTime())
            .append("keyFlag", getKeyFlag())
            .append("isCheck", getIsCheck())
            .append("remark", getRemark())
                .append("workstationName", getWorkstationName())
                .append("recordName", getRecordName())
            .toString();
    }
}
